<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">

<!--
Copyright (C) 2005-2019 Amba Kulkarni (ambapradeep at gmail dot com)

This program is free software; you can redistribute it and/or 
modify it under the terms of the GNU General Public License 
as published by the Free Software Foundation; either 
version 2 of the License, or (at your option) any later 
version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
-->

<html xmlns="http://www.w3.org/1999/xhtml">
<head>
  <title>Anusaaraka Help</title>
</head>
<body>
<h3> About Anusaaraka Interface </h3>
<b><a href="#sec1.1"> Why multiple Rows? </a></b><br>
<b><a href="#sec1.2"> What does each row specify? </a></b><br>
<b><a href="#sec1.3"> How to control number of rows? </a></b><br>
<b><a href="#sec1.4"> What do the colors specify?</a></b><br>
<b><a href="#sec1.5"> What do the numbers in the output stand for?</a></b><br>
<b><a href="#sec1.6"> Do you have any suggestions for Hindi meanings? </a></b><br>
<br>
<br>
<hr>
<h3> More about Anusaaraka </h3>
To know more about <b>anusaaraka</b>, please visit anusaaraka home page at http://ltrc.iiit.ac.in/Anusaaraka/anu_home.html.
<hr>
<A Name="sec1.1"> <h2> Why multiple Rows? </h2>
Any machine translation system consists of several modules. However these modules are not robust. They are prone to errors. When a input in typical machine translation system passes through all these modules, the errors get cascaded, and output thus produced is many times meaningless. <br><br>
Anusaaraka interface presents the output at all these intermediate layers in a readble format in various rows. The user has complete control over the display of rows.<br><br>
</a>
<a href="anu_help.html"> TOP </a>
<hr>
<A name="sec1.3"> <h3>How to control number of rows?</h3>
Use the Show/Hide button in the top frame to control the display of rows.<br><br>
</a>
<a href="anu_help.html"> TOP </a>
<hr>
<a name="sec1.4"> <h2>What do the colors specify? </h2>
The colors in the output indicate category of the word(s).
Following color scheme has been used.
<table border=1>
<tr><td><span style="background-color: #00BFFF">Nouns in prathama vibhakti</span></td><td><span style="background-color: #00BFFF">deepskyblue</span></td></tr>
<tr><td><span style="background-color: #93DB70">Nouns in dvitiiyaa vibhakti</span></td><td><span style="background-color: #93DB70">GreenYellow</span></td></tr>
<tr><td><span style="background-color: #40E0D0">Nouns in tritiiyaa vibhkati</span></td><td><span style="background-color: #40E0D0">turquoise</span></td></tr>
<tr><td><span style="background-color: #B0E2FF">Nouns in caturthii vibhkati</span></td><td><span style="background-color: #B0E2FF">light skyblue1</span></td></tr>
<tr><td><span style="background-color: rgb(180,255,180)">Nouns in pancami vibhkati</span></td><td><span style="background-color: rgb(180,255,180)">lightgreen</span></td></tr>
<tr><td><span style="background-color: rgb(135,206,235)">Nouns in shashthii vibhaktii</span></td><td><span style="background-color: rgb(135,206,235)">skyblue</span></td></tr>
<tr><td><span style="background-color: rgb(198,226,255)">Nouns in saptamii vibhkatii</span></td><td><span style="background-color: rgb(198,226,255)">slategray</span></td></tr>
<tr><td><span style="background-color: #6FFFC3">Nouns in sambodhana</span></td><td><span style="background-color: #6FFFC3">Aquamarine(GH)</span></td></tr>
<tr><td><span style="background-color: #FF99FF">Indeclinable</span></td><td><span style="background-color: #FF99FF">Mauve(GH)</span></td></tr>
<tr><td><span style="background-color: #FF030D">Kriyapada</span></td><td><span style="background-color:#FF030D">Cadmiumredlight</span></td></tr>
</table><br><br>
The categories are marked by the POS taggers and the chunkers. One can see the actual POS tags and the chunker markings by unhiding the corresponding rows in the output.
</a><br><br>
<a href="anu_help.html"> TOP </a>
<hr>
<h2><a name="sec1.5"> What do the numbers in the output stand for?</h2>
The numbers in lightgreen strip indicate the <span style="background-color: lightgreen">Paragraph, Sentence, and Row numbers</span>. 
For example <span style="background-color: lightgreen">10.5.G</span> stands for the Gth row of the 5th sentence in 10th paragraph. One can use paragraph and sentence number information to jump to a particular location using GOTO button in the top frame. Thus if you want to jump to say 5th sentence in the 10th paragraph, just type in 10.5 and click on GOTO button.<br><br>
</a>
<a href="anu_help.html"> TOP </a>
<hr>
<h2><a name="sec1.6"> Do you have any suggestions for Hindi meanings?</h2>
Your suggestions for improving the anusaaraka output quality are most welcome.<br> To record your suggestion, open the suggestion row. Go to the word for which you want to give suggestion. Type in your suggestions in the suggestion row, and submit.<br><br>
</a>
<a href="anu_help.html"> TOP </a>
<hr>
<ADDRESS>
Interface developed by Sunil Mohan Adapa <br>
        email : sunil@atc.tcs.co.in<br>
</ADDRESS>
<H4>Author:</H4>
<ADDRESS>
        Amba P Kulkarni <br>
        email : ambapradeep@gmail.com <br>
</ADDRESS>
<br>
<!-- Updated on 8 June 2009 12:03 noon -->
Last modified: 20 Feb 2010<!--#flastmod file="anu_help.html" -->
</body>
</html>
